Matching::VertexInfo Class Reference

contains information about a vertex that is possibly in a matching

## Public Member Functions

| VertexInfo (std::list< Edge * >::iterator mit)
| VertexInfo (std::list< Vertex * >::iterator eit)
bool | isExposed (void) const
bool | isMatched (void) const
Edge * | getMatchingEdge (void) const
std::list< Edge * >::iterator | getMatchedIterator (void) const
std::list< Vertex * >::iterator | getExposedIterator (void) const
void | setMatched (std::list< Edge * >::iterator mit)
void | setExposed (std::list< Vertex * >::iterator eit)

## Private Attributes

bool | Matched
std::list< Edge * >::iterator | MatchedIterator
| an iterator into the list of matched edges (only valid if this vertex is matched)
std::list< Vertex * >::iterator | ExposedIterator
| an iterator into the list of exposed vertices (only valid if this vertex is exposed)

## Constructor & Destructor Documentation

## VertexInfo() [1/2]

Matching::VertexInfo::VertexInfo | ( | std::list< Edge * >::iterator | mit | ) |

inline

## VertexInfo() [2/2]

Matching::VertexInfo::VertexInfo | ( | std::list< Vertex * >::iterator | eit | ) |

inline

## Member Function Documentation

## getExposedIterator()

std::list< Vertex * >::iterator Matching::VertexInfo::getExposedIterator | ( | void |  | ) | const

inline

## getMatchedIterator()

std::list< Edge * >::iterator Matching::VertexInfo::getMatchedIterator | ( | void |  | ) | const

inline

## getMatchingEdge()

Edge * Matching::VertexInfo::getMatchingEdge | ( | void |  | ) | const

inline

## isExposed()

bool Matching::VertexInfo::isExposed | ( | void |  | ) | const

inline

## isMatched()

bool Matching::VertexInfo::isMatched | ( | void |  | ) | const

inline

## setExposed()

void Matching::VertexInfo::setExposed | ( | std::list< Vertex * >::iterator | eit | ) |

inline

## setMatched()

void Matching::VertexInfo::setMatched | ( | std::list< Edge * >::iterator | mit | ) |

inline

## Member Data Documentation

## ExposedIterator

std::list<Vertex*>::iterator Matching::VertexInfo::ExposedIterator

private

## Matched

bool Matching::VertexInfo::Matched

private

## MatchedIterator

std::list<Edge*>::iterator Matching::VertexInfo::MatchedIterator

private

The documentation for this class was generated from the following file:

- Matching.h